Subject: bug#18387: 24.3; Segmentation Fault

From: Thorsten Jolitz <[email-masked]>
Date: Tue, 02 Sep 2014 17:14:55 +0200

Eli Zaretskii <[email-masked]> writes:

>> From: Thorsten Jolitz <[email-masked]>
>> Date: Tue, 02 Sep 2014 09:23:25 +0200
>> 
>> When trying to refile an Org todo task, I crashed Emacs. My full init
>> file was loaded, I have no way to reproduce this or give a recipe, so I
>> send this backtrace just FYI, maybe its helpful:
>> 
>> ,----
>> | Fatal error 11: Segmentation fault
>> | Backtrace:
>> | emacs[0x4fae93]
>> | emacs[0x4e094e]
>> | emacs[0x4f99ae]
>
> Please use the procedure described in the node "Crashing" in the Emacs
> User manual to produce file names, function names, and line numbers
> from these addresses; then post the results here.  Otherwise, these
> addresses are impossible to interpret on any other machine but yours.

ok, didn't know that ... I post the result, but it doesn't look very i
nformative either:

[tj@arch ~]$ sed -n 's/.*\[\(.*\)]$/\1/p'
/home/tj/junk/testdir/emacs-backtrace | addr2line -C -f -i -e /bin/emacs
XSetWMNormalHints
??:?
XSetWMNormalHints
??:?
XSetWMNormalHints
??:?
XSetWMNormalHints
??:?
??
??:0
error
??:?
error
??:?
re_compile_pattern
??:?
error
??:?
re_compile_pattern
??:?
re_compile_pattern
??:?
re_compile_pattern
??:?
re_compile_pattern
??:?
error
??:?
re_compile_pattern
??:?
error
??:?
error
??:?
re_compile_pattern
??:?
re_compile_pattern
??:?
re_compile_pattern
??:?
XSetWMNormalHints
??:?
XSetWMNormalHints
??:?
XSetWMNormalHints
??:?
XSetWMNormalHints
??:?
error
??:?
??
??:0
XSetWMNormalHints
??:?
XSetWMNormalHints
??:?
XSetWMNormalHints
??:?
re_compile_pattern
??:?
XSetWMNormalHints
??:?
re_compile_pattern
??:?
XSetWMNormalHints
??:?
XSetWMNormalHints
??:?
??
??:0
??
??:0
??
??:0
\)]'

-- 
cheers,
Thorsten